Bug 438583 - System reboots after resuming from suspend with recent kernels
Summary: System reboots after resuming from suspend with recent kernels
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: John Feeney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-22 13:39 UTC by Joachim Frieben
Modified: 2013-01-10 07:02 UTC (History)
1 user (show)

Fixed In Version: kernel-2.6.25.14-108.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-17 08:40:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for Tyan Tomcat K8E (26.96 KB, text/plain)
2008-03-22 13:39 UTC, Joachim Frieben
no flags Details
Tail of /var/log/messages for Tyan Tomcat K8E (161.22 KB, text/plain)
2008-03-22 13:49 UTC, Joachim Frieben
no flags Details
suspend log file (1.07 KB, text/plain)
2008-05-31 07:14 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2008-03-22 13:39:38 UTC
Description of problem:
For about 2 weeks (?) now, my desktop system is unable to resume from
suspend. It simply starts over.

Version-Release number of selected component (if applicable):
2.6.25-0.139.rc6.git5.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Login to GNOME session.
2. Suspend system.
3. Press power button.
  
Actual results:
System reboots.

Expected results:
System resumes.

Additional info:
This used to work until recently. Btw, suspending from GDM simply doesn't
work but that's also documented in the tail of /var/log/messages attached
to this bug report. The system is based upon a Tyan Tomcat K8E mainboard.

Comment 1 Joachim Frieben 2008-03-22 13:39:38 UTC
Created attachment 298834 [details]
dmesg for Tyan Tomcat K8E

Comment 2 Joachim Frieben 2008-03-22 13:49:30 UTC
Created attachment 298835 [details]
Tail of /var/log/messages for Tyan Tomcat K8E

Comment 3 Joachim Frieben 2008-03-22 14:44:57 UTC
SELinux is run in permissive mode.

Comment 4 Joachim Frieben 2008-04-02 10:42:51 UTC
Also happens for kernel-2.6.25-0.185.rc7.git6.fc9.

Comment 5 Joachim Frieben 2008-04-23 20:37:48 UTC
Tried suspend for rawhide and kernel-2.6.25-8.fc9 after using F8 for
a while, and now it works.

Comment 6 Joachim Frieben 2008-05-31 07:14:29 UTC
Created attachment 307266 [details]
suspend log file

- Issue reappeared some time in the last 2 weeks. Latest afflicted
  kernel is kernel-2.6.26-0.45.rc4.git2.fc10.x86_64.
- Even the latest F9 kernel from koji won't suspend. However, in that
  case, the system does not reboot. It simply fails to resume.

Comment 7 Joachim Frieben 2008-07-06 07:53:49 UTC
I have reverted to system to F9 w/updates as of 2008-07-06, and it also
reboots after when resuming from suspend. Hibernate works though.
Current kernel package is kernel-2.6.25.9-76.fc9.x86_64.

Comment 8 Joachim Frieben 2008-07-25 13:02:57 UTC
Issue still present for kernel-2.6.25.12-100.fc9.x86_64. Suspend works
for both the original F9-i686 live CD and a current Ubuntu 8.10 i386
live CD featuring a 2.6.26 kernel.

Comment 9 Joachim Frieben 2008-08-17 08:40:07 UTC
Suspend does work again for current F9 w/updates including kernel-2.6.25.14-108.fc9.x86_64.


Note You need to log in before you can comment on or make changes to this bug.